Bug 499665 - When window focus set to click - <ctrl><alt> grabs pointer even when virt-manager isn't focused
When window focus set to click - <ctrl><alt> grabs pointer even when virt-man...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk-vnc (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11VirtTarget
  Show dependency treegraph
 
Reported: 2009-05-07 11:22 EDT by James Laska
Modified: 2013-09-02 02:35 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:25:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Laska 2009-05-07 11:22:33 EDT
Description of problem:

Set your window manager highlight preference to 



Version-Release number of selected component (if applicable):
virt-manager-0.7.0-4.fc11.x86_64

How reproducible:


Steps to Reproduce:
1. Go to System->Preferences->Windows
2. De-select "select windows when the mouse moves over them"
3. Start virt-manager and boot a guest
4. click on the desktop, then move the mouse over the virt-manager guest window (but do not click the virt-manager window).
5. Press <ctrl><alt>
  
Actual results:

Virt-manager grabs mouse pointer 

Expected results:

virt-manager should only grab the mouse pointer if the window is selected *and* I press <ctrl><alt>


Additional info:

THis is annoying since <ctrl><alt> is the start of a common key modifier sequence to change desktop workspaces.
Comment 1 Bug Zapper 2009-06-09 11:22:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Cole Robinson 2009-11-01 19:39:33 EST
I can reproduce with virt-viewer on my f10 box, so moving to gtk-vnc. Not sure if this is intentional behavior or not, but unless there is a good reason I think ctrl-alt shouldn't grab the mouse.

$ rpm -q virt-viewer gtk-vnc
virt-viewer-0.0.3-3.fc10.x86_64
gtk-vnc-0.3.8-4.fc10.x86_64
Comment 3 Bug Zapper 2010-04-27 10:11:57 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 08:25:51 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.